export interface VerifierV3Options {
    provider: string;
    logLevel: string;
    providerBaseUrl: string;
    pactUrls?: string[];
    pactBrokerUrl?: string;
    providerStatesSetupUrl?: string;
    pactBrokerUsername?: string;
    pactBrokerPassword?: string;
    pactBrokerToken?: string;
    callbackTimeout?: number;
    publishVerificationResult?: boolean;
    providerVersion?: string;
    requestFilter?: (req: any) => any;
    stateHandlers?: any;
    consumerVersionTags?: string | string[];
    providerVersionTags?: string | string[];
    enablePending?: boolean;
    includeWipPactsSince?: string;
    disableSSLVerification?: boolean;
}
export interface ConsumerVersionSelector {
    pacticipant?: string;
    tag?: string;
    version?: string;
    latest?: boolean;
    all?: boolean;
}
export declare class VerifierV3 {
    private config;
    constructor(config: VerifierV3Options);
    /**
     * Verify a HTTP Provider
     */
    verifyProvider(): Promise<any>;
}
